ServerEvents.recipes(event => {
  //电容
  event.remove({ output: 'createaddition:capacitor' })
  event.recipes.create.mechanical_crafting('createaddition:capacitor', [
    ' AAA ',
    'AB BA',
    'ACCCA',
    'A D A',
    'A E A'
  ], {
    A: '#forge:plates/iron',
    B: '#forge:plates/lead',
    C: '#forge:plates/gold',
    D: 'create:precision_mechanism',
    E: 'minecraft:redstone_torch'
  })
  event.shaped(
    Item.of('createaddition:capacitor'), [
    'AFA',
    'BCB',
    'DED'
  ],
    {
      A: 'thermal:steel_plate',
      B: 'thermal:lead_plate',
      F: 'create:precision_mechanism',
      D: 'create:electron_tube',
      E: '#forge:plates/gold',
      C: 'thermal:cured_rubber'
    }
  )
  //特斯拉线圈
  event.replaceInput(
    { id: 'createaddition:mechanical_crafting/tesla_coil' },
    'createaddition:copper_spool',
    'minecraft:lightning_rod'
  )
  //能量传输器
  event.replaceInput(
    { id: 'createappliedkinetics:energy_provider' },
    'create:brass_casing',
    'ae2:mysterious_cube'
  )
  //火花塞
  event.remove({ output: 'tfmg:spark_plug' })
  event.recipes.create.mechanical_crafting('tfmg:spark_plug', [
    ' A ',
    'DBD',
    ' C '
  ], {
    A: 'minecraft:flint',
    B: 'createaddition:capacitor',
    C: 'tfmg:aluminum_ingot',
    D: '#minecraft:terracotta'
  })
})